
package de.ivu.elect.dokumente.kandidatur;

import de.ivu.elect.business.kandidatur.entity.Direktkandidatur;
import de.ivu.elect.dokumente.CoreElectContext;
import de.ivu.elect.dokumente.wahlvorschlag.CoreWahlvorschlagsdatenDocument;

public class DirektkandidaturDokument extends KandidaturDokument {

  private static final long serialVersionUID = 1L;

  public static final DirektkandidaturDokument EMPTY_OBJECT = new DirektkandidaturDokument();

  private DirektkandidaturDokument() {
    super();
  }

  public DirektkandidaturDokument(CoreElectContext coreElectContext, CoreWahlvorschlagsdatenDocument wahlvorschlagsdatenDocument, KandidaturCoreDaten kandidaturCoreDaten,
      Direktkandidatur direktkandidatur) {
    super(coreElectContext, wahlvorschlagsdatenDocument, kandidaturCoreDaten, direktkandidatur);
  }

  @Override
  public boolean isEmptyObject() {
    return this == EMPTY_OBJECT;
  }
}
